package _VisualDVM.Visual.Windows;
import Common.Visual.FormWithSplitters;
import _VisualDVM.Global;
import _VisualDVM.Visual.Interface.AdministrationWindow;

import javax.swing.*;
public class AdministrationForm implements FormWithSplitters, AdministrationWindow {
    public JSplitPane SC67;
    private JPanel content;
    private JPanel userAccountsPanel;
    private JPanel workspacesPanel;
    public AdministrationForm() {
        LoadSplitters();
        Global.componentsServer.credentials_db.userAccounts.mountUI(userAccountsPanel);
        Global.componentsServer.credentials_db.workspaces.mountUI(workspacesPanel);
    }
    @Override
    public JPanel getContent() {
        return content;
    }
    @Override
    public void ShowAll() {
        Global.componentsServer.credentials_db.userAccounts.ShowUI();
    }
}
